# BCompress.h

## Macro Definitions

| `CS_INVALID`
| `CS_TRIVIAL`
| `CS_TRIVIAL_IMPLICIT`
| `CS_REPULSE`
| `CS_NONE`
| `CS_EDGEBREAKER`
| `CS_LINE_EXTEND`
| `CS_TRIVIAL_POLAR`
| `MAXU10`
| `MAXV10`
| `MAXU8`
| `MAXV8`

## Fields

float | `normal_vectors10`
unsigned short | `closest_points10`
float | `normal_vectors8`
unsigned char | `closest_points8`
const int | `bounding_faces`
const int | `bounding_tristrips`
const float | `color_cube`
const float | `rgba_cube`
const float | `normal_cube`
const float | `polar_bounds`

## Functions

`TK_Status` | `quantize_and_pack_floats`
`TK_Status` | `quantize_and_pack_floats`
`TK_Status` | `unquantize_and_unpack_floats`
`TK_Status` | `trivial_compress_points`
`TK_Status` | `trivial_decompress_points`

## Detailed Description

## Macro Definition

CS_INVALID

CS_TRIVIAL

CS_TRIVIAL_IMPLICIT

CS_REPULSE

CS_NONE

CS_EDGEBREAKER

CS_LINE_EXTEND

CS_TRIVIAL_POLAR

MAXU10

MAXV10

MAXU8

MAXV8

## Field Documentation

float normal_vectors10[1024][3]

unsigned short closest_points10[128][64]

float normal_vectors8[256][3]

unsigned char closest_points8[64][32]

const int bounding_faces[30]

const int bounding_tristrips[19]

const float color_cube[6]

const float rgba_cube[8]

const float normal_cube[6]

const float polar_bounds[4]

## Function Documentation

Warning

doxygenfunction: Unable to resolve function “quantize_and_pack_floats” with arguments None in doxygen xml output for project “3dgs_stream” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/3dgs_stream/xml. Potential matches:

    - TK_Status quantize_and_pack_floats(BStreamFileToolkit &tk, int count_in, int size_in, float const *floats_in, float const *bounding_in, unsigned int *exists_in, unsigned int mask_in, unsigned int bits_per_sample_in, float *bounding_out, int *workspace_len_in_out, int *workspace_used_out, unsigned char **workspace_in_out)
    - TK_Status quantize_and_pack_floats(BStreamFileToolkit &tk, int count_in, int size_in, float const *floats_in, float const *bounding_in, unsigned int bits_per_sample_in, float *bounding_out, int *workspace_len_in_out, int *workspace_used_out, unsigned char **workspace_in_out)

Warning

doxygenfunction: Unable to resolve function “quantize_and_pack_floats” with arguments None in doxygen xml output for project “3dgs_stream” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/3dgs_stream/xml. Potential matches:

    - TK_Status quantize_and_pack_floats(BStreamFileToolkit &tk, int count_in, int size_in, float const *floats_in, float const *bounding_in, unsigned int *exists_in, unsigned int mask_in, unsigned int bits_per_sample_in, float *bounding_out, int *workspace_len_in_out, int *workspace_used_out, unsigned char **workspace_in_out)
    - TK_Status quantize_and_pack_floats(BStreamFileToolkit &tk, int count_in, int size_in, float const *floats_in, float const *bounding_in, unsigned int bits_per_sample_in, float *bounding_out, int *workspace_len_in_out, int *workspace_used_out, unsigned char **workspace_in_out)

TK_Status unquantize_and_unpack_floats(BStreamFileToolkit &tk, int count_in, int size_in, unsigned int bits_per_sample_in, float const *bounding_in, unsigned char *buf_in, float **floats_out)

TK_Status trivial_compress_points(BStreamFileToolkit &tk, int point_count, float const *points, float const *bounding_in, unsigned int *exists, unsigned int mask, int *workspace_len_in_out, int *workspace_used_out, unsigned char **workspace_in_out, float *bounding_out)

TK_Status trivial_decompress_points(BStreamFileToolkit &tk, int pointcount, void const *buf_in, float **points_out, float const *bounding)